This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296681 - referenced URLs in section 10.1, 10.2, 10.3 are broken
referenced URLs in section 10.1, 10.2, 10.3 are broken
Status: CLOSED EOL
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
2.2.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: brice
Vikram Goyal
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-07 15:09 EST by Sally
Modified: 2017-01-13 17:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 19237, REST API Guide-2-1.0 Build Date: 11-12-2014 09:19:15 Topic ID: 20130-632743 [Latest]
Last Closed: 2017-01-13 17:54:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sally 2016-01-07 15:09:34 EST
Title: List Quickstarts

Describe the issue:
Broken links in https://access.redhat.com/documentation/en-US/OpenShift_Enterprise/2/html-single/REST_API_Guide/index.html#List_Quickstarts

When I try the given 
curl -X GET https://www.openshift.com/api/v1/quickstarts/promoted.json --user user@example.com, I do not get the desired JSON response.  Instead, I get:
...
<section>
    <div class="container">
        <h1>Not found</h1>
        <p>Sorry, but the page you were trying to view does not exist.</p>
        <p>It looks like this was the result of either:</p>
        <ul>
            <li>a mistyped address</li>
            <li>an out-of-date link</li>
        </ul>
...

Suggestions for improvement:
Update the URLs


Additional information:
Comment 1 Sally 2016-01-30 09:49:51 EST
Forgot to add:
all urls should be updated to search 'hub.openshift.com' instead of 'www.openshift.com'

ex from 10.1) https://hub.openshift.com/api/v1/quickstarts/promoted.json
Comment 2 Rory Thrasher 2017-01-13 17:54:18 EST
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/

Note You need to log in before you can comment on or make changes to this bug.